<template>
  <Card title="دسته بندی ها">
    <template #actions v-if="count">
      <p class="count">{{ count }} عدد</p>
    </template>
    <Category v-for="category in categories" :key="category.id" :category="category" @delete="$emit('delete', category.id)" />
    <div v-if="!categories.length > 0" class="empty">
      <EmptyIcon class="empty__icon"/>
      <p class="empty__text">دسته بندی برای نمایش وجود ندارد.</p>
    </div>
  </Card>
</template>

<script>
import Card from "@/components/base/Card";
import Category from "@/components/categories-manager/Category"
import EmptyIcon from "@/assets/svgs/empty_box.svg";

export default {
  name: "CategoriesCard",
  components: {
    Card,
    Category,
    EmptyIcon
  },
  props: {
    categories: {
      type: Array,
      default: undefined
    },
    count: {
      type: Number,
      default: 0
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.empty
  display flex
  align-items center
  justify-content center
  flex-direction column
  padding $sm 0
  &__icon
    width 10rem
    height 10rem
    fill $grey
    opacity .7
  &__text
    margin-top $xxsm
    color $grey

.count
  opacity .6
  color $grey 
</style>